import { MigrationInterface, QueryRunner } from 'typeorm';

export class FixRecruitmentCollation1782277408354 implements MigrationInterface {
    name = 'FixRecruitmentCollation1782277408354';

    public async up(queryRunner: QueryRunner): Promise<void> {
        await queryRunner.query(`ALTER TABLE \`job_postings\` CONVERT TO CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci`);
        await queryRunner.query(`ALTER TABLE \`job_applications\` CONVERT TO CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci`);
        await queryRunner.query(`ALTER TABLE \`recruitment_tasks\` CONVERT TO CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci`);
        await queryRunner.query(`ALTER TABLE \`tenant_api_keys\` CONVERT TO CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci`);
    }

    public async down(queryRunner: QueryRunner): Promise<void> {
    }
}